Page MenuHomePhabricator

Auto-redirect to HTTPS
Closed, ResolvedPublic

Description

When viewing the tools over HTTP, requests to http://tools.wmflabs.org are considered cross-origin and blocked by the browser. Some icons and images fail to load.

We could use relative URLs to the assets, but better we redirect to HTTPS.

Event Timeline

mforns created this task.Nov 23 2018, 3:33 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 23 2018, 3:33 PM

@mforns I'm assuming you/they were using the tools over HTTP and not HTTPS? The CORS header treats the requests to HTTPS from HTTP as cross-origin. I need to make the tool auto-redirect to HTTPS.

@MusikAnimal Indeed! He passed me an http link that I clicked to check.
Now, using https, all appears fine.
Thank you!

MusikAnimal renamed this task from Pageviews Tool seems to be missing some icons to Auto-redirect to HTTPS.Nov 25 2018, 9:06 PM
MusikAnimal updated the task description. (Show Details)
MusikAnimal closed this task as Resolved.Jan 3 2019, 11:38 PM
MusikAnimal claimed this task.
MusikAnimal moved this task from Backlog to Done on the Tool-Pageviews board.

Done without me even having to do anything! Thanks to J132

MusikAnimal updated the task description. (Show Details)Jan 3 2019, 11:38 PM